twitter4j

## Enum OEmbedRequest.Align

- java.lang.Object
- - java.lang.Enum<OEmbedRequest.Align>
  - - twitter4j.OEmbedRequest.Align

All Implemented Interfaces:
  Serializable, Comparable<OEmbedRequest.Align>

Enclosing class:
  OEmbedRequest

    public static enum OEmbedRequest.Align
    extends Enum<OEmbedRequest.Align>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CENTER`
`LEFT`
`NONE`
`RIGHT`

### Method Summary

All Methods Static Methods Concrete Methods
`static OEmbedRequest.Align` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OEmbedRequest.Align[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LEFT

    public static final OEmbedRequest.Align LEFT

#### CENTER

    public static final OEmbedRequest.Align CENTER

#### RIGHT

    public static final OEmbedRequest.Align RIGHT

#### NONE

    public static final OEmbedRequest.Align NONE

### Method Detail

#### values

    public static OEmbedRequest.Align[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OEmbedRequest.Align c : OEmbedRequest.Align.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OEmbedRequest.Align valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null